# Figure 3: Example Chin et. al

# paths
p <-
setwd(p)

# libraries
library(globalboosttest)
library(survival)
library(mboost)
library(penalized)
library(Matrix)
library(MASS)
source("functions.R")

# parameters
stops <-  c(50,100,200,500,1000)
lambda <- c(5,10,15,20,25)
permutationen <-  1000

# load data
load("chin.data.RData")
X=X[nonna,]
Y=Y[nonna,]
Z=Z[nonna,]

# globalboosttest
gbt_chin_XYZ <- globalboosttest(X=X,Y=Y,Z=Z,nperm=permutationen, mstop=stops, plot=FALSE, pvalueonly=F)    
save(file="chin.gbt.RData", list=c("gbt_chin_XYZ"))

# pre-validation
method <- "boosting"
pv.chin.b <- prevalidation(X, Y, Z, nperm = permutationen, method = method, tuning = stops)
save(file = "chin.pv.RData", list=c("pv.chin.b"))

